Authorize Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This request allows you to authorize a payment after you created a checkout session. It just authorizes the amount on the credit_card (the client is not charged). If you want to make an authorization for a payment, you will need to send the capture as "false" within the card object, which is located inside the payment_method object.

Body Params
string
required

The unique identifier of the account. You find this information on Yuno's Dashboard (MAX 64; MIN 36).

string
required

The description of the payment (MAX 255; MIN 3).

additional_data
object

Specifies the additional_data object. This object is not mandatory. However, if you send this information, the payment experience will be enhanced for your user.

string
enum
required

The customer's country code (MAX 2; MIN 2; ISO 3166-1).

string
required

The unique identifier of the customer's order (MAX 255; MIN 3).

string

Identification of the payment transaction defined by the merchant (MAX 255; MIN 3). Optional to complement the merchant_order_id.

amount
object

Specifies the payment amount object, with the value and currency.

customer_payer
object
required

Specifies customer object for payments.

checkout
object
required

Specifies the checkout object. This object is not mandatory for back to back payments. Required when workflow is defined as CHECKOUT or is not sent. not required for DIRECT payments.

string
enum
Defaults to DIRECT

The payment workflow. Indicates whether the integration will use Yuno´s SDK or will be a back to back connection. CHECKOUT=Use Yuno SDK. DIRECT= Back to back integration with provider info for custom payment experience, REDIRECT= Back to back integration with provider redirection.

Allowed:
taxes
object

Specifies the order's tax object.

payment_method
object

The payment method object.

metadata
array of objects

Specifies a list of metadata objects. You can add up to 50 metadata objects.

metadata
string

The URL where to redirect the customer after the payment. Only required for DIRECT integrations that have a redirection (MAX 526; MIN 3).

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json